/// <reference types="react" />
import type { ArticleProps } from "./components/Article";
export declare type GitLandingSectionProps = {
    /**
     * enter the assets in an array.
     * example:
     * "mainSection": [
     *  {
     *      "imageHasFrame": false,
     *      "imageUrl": yourImage
     *      "article": {
     *          "title": "your title",
     *          "paragraphMd": "your paragraph"
     *      }
     *  },
     *  {
     *      "imageHasFrame": false,
     *      "imageUrl": yourImage
     *      "article": {
     *          "title": "your title",
     *          "paragraphMd": "your paragraph"
     *      }
     *  },
     * ]
     */
    dataBlocks: {
        illustration?: ArticleProps["illustration"];
        article?: ArticleProps["article"];
        thumbNails?: ArticleProps["thumbNails"];
        className?: string;
    }[];
    className?: string;
};
export declare const GitLandingSection: import("react").MemoExoticComponent<(props: GitLandingSectionProps) => JSX.Element>;
