/// <reference types="react" />
import type { ImageProps } from "./Image";
import type { Props as CodeProps } from "./Code";
import type { ThumbNailProps } from "./ThumbNails";
declare namespace IllustrationProps {
    type Code = {
        type: "code";
        codeProps: CodeProps;
    };
    type Image = {
        type: "image";
        imageProps: ImageProps;
    };
}
export declare type ArticleProps = {
    thumbNails?: ThumbNailProps;
    illustration?: IllustrationProps.Code | IllustrationProps.Image;
    article?: {
        title: string;
        /**
         * you can use markdown between back ticks.
         */
        paragraphMd: string;
        button?: {
            className?: string;
            title: string;
            href: string;
        };
    };
    isRowReverse: boolean;
    className?: string;
};
export declare const Article: import("react").MemoExoticComponent<(props: ArticleProps) => JSX.Element>;
export {};
