"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Image = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
/* eslint-disable @typescript-eslint/no-namespace */
var VsCodeButtons_1 = require("./VsCodeButtons");
var theme_1 = require("../theme");
var tss_react_1 = require("tss-react");
var react_1 = require("react");
var useClassNames = theme_1.createUseClassNames()(function (theme, _a) {
    var frame = _a.frame;
    return ({
        "root": {
            "position": "relative",
            "boxShadow": theme.isDarkModeEnabled ? undefined : "-2px 0px 10px 0px rgba(0,0,0,0.75)",
            "& > img": {
                "width": "100%",
                "height": "100%",
                "objectFit": "cover",
                "verticalAlign": "middle",
                "borderRadius": 5,
            },
            "borderRadius": frame !== undefined ? 5 : undefined,
            "border": (function () {
                var _a;
                if (frame === undefined) {
                    return undefined;
                }
                return [
                    "solid",
                    (_a = frame.customFrameColor) !== null && _a !== void 0 ? _a : theme.colors.palette.VsCodeBackground,
                    "24px",
                ].join(" ");
            })(),
        },
    });
}).useClassNames;
exports.Image = react_1.memo(function (props) {
    var className = props.className, url = props.url, frame = props.frame, alt = props.alt;
    var classNames = useClassNames({
        frame: frame,
    }).classNames;
    return (jsx_runtime_1.jsxs("div", __assign({ className: tss_react_1.cx(classNames.root, className) }, { children: [frame && frame.hasFrameButtons && jsx_runtime_1.jsx(VsCodeButtons_1.VsCodeButtons, {}, void 0),
            jsx_runtime_1.jsx("img", { src: url, alt: alt }, void 0)] }), void 0));
});
//# sourceMappingURL=Image.js.map